; This program plots the white and pink beam LVP data from 13-BM-D in November 2016

mca = obj_new('mca')
mca->read_file, 'test_pink_beam_diff.004'
pink = mca->GET_DATA()
energy = mca->CHAN_TO_ENERGY(findgen(mca->GET_NCHANS()))
mca->read_file, 'test_white_beam_diff.005'
white = mca->GET_DATA()

iplot, energy, pink, /ylog, identifier=id, color=[255, 0, 0], $
  xtitle='X-ray energy (keV)', $
  ytitle= 'Counts', $
  title='Focused pink beam and white beam diffraction', $
  name='Focused pink beam', $
  position=[.16, .1, .96, .92], $
  insert_legend=[.25,.75]

iplot, energy, white, overplot=id, color=[0,0,0], $
  name='White beam', $
  /insert_legend

end

